##
##  dialog.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   version information
%define       V_maj 1.3
%define       V_min 20230209

#   package information
Name:         dialog
Summary:      Curses Dialog Scripting Tool
URL:          http://invisible-island.net/dialog/dialog.html
Vendor:       Thomas E. Dickey
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Terminal
License:      LGPL
Version:      %{V_maj}.%{V_min}
Release:      20230211

#   list of sources
Source0:      ftp://ftp.invisible-island.net/dialog/dialog-%{V_maj}-%{V_min}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, ncurses
PreReq:       OpenPKG, openpkg >= 20160101, ncurses

%description
    Though similar in style to CDK, it is different, being a
    script-interpreter which provides a set of curses widgets. Widgets
    are objects whose appearance and behavior can be customized. There
    is a much-reduced variation of dialog, called lxdialog, which is
    used in Linux kernel configuration.

%track
    prog dialog = {
        version   = %{V_maj}-%{V_min}
        url       = ftp://ftp.invisible-island.net/dialog/
        regex     = dialog-(__VER__)\.tgz
    }

%prep
    %setup -q -n dialog-%{V_maj}-%{V_min}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --with-ncurses \
        --with-curses-dir=%{l_prefix} \
        --disable-nls
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

